#!/usr/bin/env python3
"""
rsvg-pmap1.py
by Javantea
Dec 6, 2007

Draw friend maps with rsvg.
This cool library can easily draw any svg from file or memory.
This is the proper way to make dynamic, editable svg systems in Python.
Eventually this frame will be used to create many cool projects such as AltSci 
Composer.

"""
from sys import argv
from rsvg_map2 import DisplaySVG, gtk

def main():
	import pwmap1
	seed = '222'
	url = '/mashups/-/video?sort=date'
	if (len (argv) > 1):
		url = argv[1]
	#end if
	a = DisplaySVG('rsvg Mashup Map Renderer in Python', pwmap1.TagMashupMap, (url, seed, 2))
	gtk.gdk.threads_init()
	gtk.main()
#end def main()

if __name__ == '__main__':
    main()
#end if
