"""
How to limit users...

You are allowed to generate once per 5 minutes.

Keep a list of generators in the last 5 minutes.
ip date (int)

This file needs to be rw by the script and not web users.
Put it in /tmp, I guess.

import sww_limit1
if sww_limit1.sww_limit1('192.168.0.3') == False:
	return "Sorry, no can do. Wait 5 minutes."
#end if

We should allow them to view svgs that people have generated. Save them to a 
file and make links to them that look like:
<a href="sww_dbu_23231.svg">David N.'s Dodgeball</a><br />
How can I make a simple thing that does that? Well I could write a text file 
with that information every time someone generates. It will look a lot like 
this script.

"""

from time import time

def sww_limit1(ip):
	now_date = int(time())
	
	c = open('/tmp/sww_limit1.txt', 'r')
	
	d = c.read()
	
	limitrec = d.split("\n")
	output = []
	
	for line in limitrec:
		rec = line.split(" ")
		if len(rec) < 2: continue
		lessthanfivemin = (now_date - int(rec[1]) < 5*60)
		if rec[0] == ip:
			if lessthanfivemin:
				return False
			#end if
		#end if
		if lessthanfivemin:
			output.append(rec)
		#end if
	#next line

	# Update the file with the new values.
	c = open('/tmp/sww_limit1.txt', 'w')
	
	for rec in output:
		c.write(rec[0] + " " + rec[1] + "\n")
	#next rec
	c.write(ip + " " + str(now_date) + "\n")
	
	c.close()
	
	return True
	
#end def sww_limit1(ip)


def sww_index1(filename, data, name):
	
	c = open(filename, 'w')
	c.write(data)
	c.close()
	
	c = open('output/index.html', 'r')
	
	d = c.read()
	
	htmld = d.split("\n")
	output = []
	
	for line in htmld:
		if line[:2] == "<a":
			output.append(line)
		#end if
	#next line

	# Update the file with the new values.
	c = open('output/index.html', 'w')
	
	c.write("""<html>
<head>
<title>AltSci Small Wide World Outputs</title>
</head>
<body>
<h1>AltSci Small Wide World Outputs</h1>
 <a href="http://www.small-wide-world.com/">Small Wide World</a><br /><br />
""")
	
	for line in output:
		c.write(line + "\n")
	#next rec
	c.write("<a href=\"" + filename.replace('output/', '') + "\">" + name + "</a><br />\n")
	c.write("""</body></html>""")
	c.close()
	
	return True
	
#end def sww_index1(filename, data, name)


