#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
rsvg-cmap2.py
by Javantea
Sept 8, 2009

Draw cpplang2 maps with rsvg.
This cool library can easily draw any svg from file or memory.
This is the proper way to make dynamic, editable svg systems in Python.
Eventually this frame will be used to create many cool projects such as AltSci 
Composer.

"""

from sys import path, argv
path.append('.')
from rsvg_map2 import DisplaySVG, gtk

def main():
	import cppmap3
	seed = '222'
	var = None
	filename = 'data/cppfor3.c'
	if (len(argv) > 1):
		filename = argv[1]
	#end if
	if (len(argv) > 2):
		var = argv[2]
	#end if
	#m = cppmap(filename, seed_id)
	a = DisplaySVG('rsvg Object Map Renderer in Python', cppmap3.cppmap, (filename, var, seed))
	gtk.gdk.threads_init()
	gtk.main()
#end def main()

if __name__ == '__main__':
    main()
#end if
